Hello,

On Sun, Feb 11, 2018 at 3:36 PM, A. Wilcox <awil...@adelielinux.org> wrote:
> Once the discussions for these packages are finished and we have a plan
> for what we will do with them, we can implement it and then ship alpha5.
>  This will give us a very solid foundation to build on for alpha6 and
> then beta1.
>
>
> The following packages must be moved to system/ no matter what we do:
>
> linux-headers (we ship arches that Alpine do not)
>
> llvm4         (Alpine only ship llvm5 now)
>
> openssl       (arch stuff like linux-headers)
>
>
> The following packages must be moved to system/ due to dependency on
> `cmd:which`:
>
> i3lock
>
> libvpx
>
>
> The following packages must be moved to system/ due to Python 2 changes
> that would break Alpine packages:
>
> boost
>
> gamin
>
> libevent
>
> libxml2
>
> libxslt
>
> mesa
>
> postgresql
>
> py-dbus
>
> py-mako
>
> weechat

What changes?

>
>
> The following packages must be moved to system/ due to us requiring them
> to be built with PAM support:
>
> consolekit2
>
> openssh
>
> polkit
>
> sudo
>
>
> The following packages must be moved to system/ if Alpine does not
> change LibreSSL back to OpenSSL for the provider of libssl and libcrypto:

Regarding this, we could just use provides="libressl-dev=9999" on
openssl-dev (openssl 1.0 only though) package.  I believe it will
solve it.

>
> abuild
>
> apr-util
>
> ca-certificates
>
> clamav
>
> cryptsetup
>
> cups
>
> curl
>
> cyrus-sasl
>
> git
>
> heimdal
>
> hexchat
>
> iputils
>
> irssi
>
> krb5
>
> libfetch
>
> libssh2
>
> libwebsockets
>
> links
>
> mariadb
>
> mosquitto
>
> mutt
>
> neon
>
> rtmpdump
>
> ssmtp
>
> vde2
>
>
> We will also move poppler-qt5 to user/; this should have never been
> added to main/ in our fork.
>
>
> The following packages have test suites that would break on Alpine and
> will either be moved to system/ or marked !check:
>
> attr     (Perl 5 issues)
>
> kyua     (Requires sysctl change)
>
> openldap (Requires two hours on PPC)
>
> parted   (Experimental Python 3 changes to test suite)
>
> tzdata   (Requires package `sp` which is in Adélie user/ only)
>
> zsh      (Does not seem to work on Alpine)
>
>
> This large amount of churn is the reason why alpha5 is being delayed so
> much further than expected.  We will be able to move much faster after
> these issues are sorted.
>
> Best,
> --arw
>
> --
> A. Wilcox (awilfox)
> Project Lead, Adélie Linux
> http://adelielinux.org
>
>
> _______________________________________________
> Adélie Development mailing list -- adelie-devel@lists.adelielinux.org
> To unsubscribe send an email to adelie-devel-le...@lists.adelielinux.org
>

William
_______________________________________________
Adélie Development mailing list -- adelie-devel@lists.adelielinux.org
To unsubscribe send an email to adelie-devel-le...@lists.adelielinux.org

Reply via email to